/*
 * Copyright 2010 Christian Buchner
 */

#ifndef __BUDDHABROT_KERNELS_H_
#define __BUDDHABROT_KERNELS_H_

typedef unsigned int Pixel;

extern "C" void Buddhabrot(Pixel *displaydata, int iw, int ih, bool clear, int Bpp, int offset, float scale, bool denoise, float isigma, unsigned int maxiter, int maxR, int maxG, int maxB, int colormode );
extern "C" void Zoom(int iw, int ih, int xmin, int xmax, int ymin, int ymax);
extern "C" void ResetZoom(int iw, int ih);
extern "C" void setupTexture(int iw, int ih, Pixel *data, int Bpp);
extern "C" void deleteTexture(void);

#endif

